# QStringListModel Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractListModel.

### Constructor

- void QStringListModel(QObject parent)
- void QStringListModel(List strings, QObject parent)

### Constructor Properties

- prototype: The QStringListModel prototype object

### Prototype Object Properties

The QStringListModel prototype object inherits properties from the QAbstractListModel prototype object and also has the following properties.

- void setStringList(List strings)
- List stringList()

### Instance Properties

QStringListModel objects have no special properties beyond those inherited from the QStringListModel prototype object.